build: fix meson warning about 'install' arg in 'configure_file'

WARNING: Project targetting '>= 0.44.0' but tried to use feature
introduced in '0.50.0': install arg in configure_file

From the documentation:

 "install (added 0.50.0) When true, this generated file is installed
 during the install step, and install_dir must be set and not
 empty. When false, this generated file is not installed regardless of
 the value of install_dir. When omitted it defaults to true when
 install_dir is set and not empty, false otherwise."

The parameter can be omitted because install_dir is set.

#216
16 jobs for bg/meson-fixes in 31 minutes and 36 seconds (queued for 2 seconds)
latest
Status Job ID Name Coverage
  Test
passed #471728
allowed to fail
checkpatch

00:01:28

manual #471733
allowed to fail manual
t_centos:7.5.1804
passed #471734
t_centos:7.6.1810

00:22:40

passed #471740
t_debian:10

00:15:28

passed #471739
t_debian:9

00:18:06

passed #471742
t_debian:sid

00:18:18

manual #471741
allowed to fail manual
t_debian:testing
passed #471729
t_fedora:28

00:19:12

passed #471730
t_fedora:29

00:31:00

passed #471731
t_fedora:30

00:24:32

failed #472047
allowed to fail manual
t_fedora:rawhide

00:00:34

passed #471735
t_ubuntu:16.04

00:18:24

passed #471736
t_ubuntu:18.04

00:18:25

manual #471738
allowed to fail manual
t_ubuntu:devel
manual #471737
allowed to fail manual
t_ubuntu:rolling
failed #471732
allowed to fail manual
t_fedora:rawhide

00:00:38

 
Name Stage Failure
failed
t_fedora:rawhide Test
20190805-110228
$ date '+%Y%m%d-%H%M%S'; NM_INSTALL="yum install -y" ./contrib/fedora/REQUIRED_PACKAGES
20190805-110228
Fedora - Modular Rawhide - Developmental packag 1.4 MB/s | 2.3 MB 00:01
Fedora - Rawhide - Developmental packages for t 35 MB/s | 64 MB 00:01
Package libselinux-devel-2.9-4.fc31.x86_64 is already installed.
No match for argument: python-gobject-base
Error: Unable to find a match: python-gobject-base
ERROR: Job failed: exit code 1